Installation de Crème CRM 2.0
#11
Oubliez ma réponse précédente ; nous avons reproduit le souci sous Windows et une version 2.0.7 de Creme vient d'être publiée et devrait corriger votre souci.

Bonne journée !
  Répondre
#12
Bonjour,

J'ai un soucis sur l'installation de Creme, également sur la partie generatemedia.

Voici le résultat de la commande :


Citation :Generating l10n.js with variation {'language': 'en'}
Traceback (most recent call last):
  File "/home/vagrant/creme/creme_crm-2.0/mediagenerator/filters/yuicompressor.py", line 24, in get_output
    universal_newlines=True)
TypeError: __init__() got an unexpected keyword argument 'encoding'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "manage.py", line 10, in
    execute_from_command_line(sys.argv)
  File "/usr/local/lib/python3.5/dist-packages/django/core/management/__init__.py", line 364, in execute_from_command_line
    utility.execute()
  File "/usr/local/lib/python3.5/dist-packages/django/core/management/__init__.py", line 356, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 283, in run_from_argv
    self.execute(*args, **cmd_options)
  File "/usr/local/lib/python3.5/dist-packages/django/core/management/base.py", line 330, in execute
    output = self.handle(*args, **options)
  File "/home/vagrant/creme/creme_crm-2.0/mediagenerator/management/commands/generatemedia.py", line 12, in handle
    generate_media()
  File "/home/vagrant/creme/creme_crm-2.0/mediagenerator/api.py", line 31, in generate_media
    for key, url, content in backend.get_output():
  File "/home/vagrant/creme/creme_crm-2.0/mediagenerator/generators/bundles/bundles.py", line 38, in get_output
    variation, combination)
  File "/home/vagrant/creme/creme_crm-2.0/mediagenerator/generators/bundles/bundles.py", line 79, in generate_file
    output = list(backend.get_output(variation))
  File "/home/vagrant/creme/creme_crm-2.0/mediagenerator/filters/yuicompressor.py", line 37, in get_output
    "Error was: {}".format(e)
ValueError: Failed to execute Java VM or yuicompressor. Please make sure that you have installed Java and that it's in your PATH and that you've configured YUICOMPRESSOR_PATH in your settings correctly.
Error was: __init__() got an unexpected keyword argument 'encoding'
En voyant les messages plus haut, j'ai utilisé la solution de contournement avec le :

Code :
ROOT_MEDIA_FILTERS = {}

qui m'a permis d'avancer.
Puis j'ai vu le message d'après et le fait qu'un correctif avait été apporté sur cette partie dernièrement.

J'ai fouillé sur le dépot et je suis tombé sur ce commit qui semble correspondre avec mon soucis
https://bitbucket.org/hybird/creme_crm-2...79efb864db


Je l'ai détricoté, commenté le ROOT_MEDIA_FILTERS dans mon fichier de conf local et la commande generatemedia est passée sans soucis.

Est-ce qu'il y avait réellement un bug sur le code, ou alors est-ce possible qu'il me manquait des composants?

Je précise que je suis sur Debian9, j'ai pu lancé le jar manuellement sans soucis (sans options) pour valider la présence de Java.

Merci pour vos retours
  Répondre
#13
Citation :Est-ce qu'il y avait réellement un bug sur le code, ou alors est-ce possible qu'il me manquait des composants?

Oui il y avait vraiment un bug ; comme l'indique le commit que vous pointez, le bug concerne Windows (et donc pas votre Debian) qui n'utilise pas UTF-8 par défaut.

En revanche ledit commit a cassé la compatibilité avec Python3.5 (puisque la fonctionnalité utilisée est apparue dans Python 3.6 -- en l'enlevant vous avez donc corrigé ça mais sans vous prendre le bug spécifique à Windows), ce qui est problématique. Nous allons corriger ça.

Bonne soirée !
  Répondre
#14
Citation :Nous allons corriger ça.

Voilà je viens de releaser une version 2.0.8 qui règle le souci.
  Répondre
#15
Effectivement, version appliquée et installée sans problèmes, merci
  Répondre
#16
Bonjour,
Je me lance dans une install de test de creme2 sur debian10 avec mysql (enfin mariadb)
D'abord j'apprécie votre tuto d'install pas à pas que je suis minutieusement 
Je dois dire que je coince un peu...

- impossible de trouver mkvirtualenv : en fouillant sur le net j'ai trouvé qu'il fallait ajouter au .bashrc la ligne suivante
  source /usr/local/bin/virtualenvwrapper.sh    (en plus de l'export WORKON_HOME ) 
  je vous suggère donc de l'ajouter au tuto

- au début j'ai voulu m'engager sur postgresql puisque recommandé, ensuite j'ai changé d'avis on va y venir
  je vous suggère d'ajouter au tuto de commenter dans requirements.txt la ligne concernant mysql

- dans la phase "dépendances python"  
Code :
pip install -r requirements.txt
patatra 1  sur graphviz ça donne cette horreur :
    Your Graphviz installation could not be found.

            1) You don't have Graphviz installed:
               Install Graphviz (http://graphviz.org)

            2) Your Graphviz package might incomplete.
               Install the binary development subpackage (e.g. libgraphviz-dev o                                                                             r similar.)

et pourtant c'est bien installé :
(creme_2_0) root@bacasable:~/creme_crm-2.0/creme# dpkg -l | grep graphviz
ii  graphviz                     2.40.1-6                    i386         rich set of graph drawing tools
ii  libgraphviz-dev              2.40.1-6                    i386         graphviz libs and headers against which to build applications

il est suggéré ceci
If you think your installation is correct you will need to manually
            change the include_dirs and library_dirs variables in setup.py to
            point to the correct locations of your graphviz installation.

bon je veux bien aller voir :    voila les setup.py présents
(creme_2_0) root@bacasable:~/creme_crm-2.0/creme# find / -name setup.py
/usr/local/lib/python2.7/dist-packages/pbr/tests/testpackage/setup.py
/usr/local/lib/python2.7/dist-packages/stevedore/example/setup.py
/usr/local/lib/python2.7/dist-packages/stevedore/example2/setup.py
/usr/lib/python3.7/test/libregrtest/setup.py

des noms comme "test" et "example" me laissent perplexes
j'abandonne ponctuellement graphviz pour ne pas rester bloqué, je commente graphviz dans requirements.txt

- phase dépendances python pour postgresql

Code :
pip install psycopg2


patatra 2
 Error: pg_config executable not found.


    pg_config is required to build psycopg2 from source.  Please add the directory
    containing pg_config to the $PATH or specify the full executable path with the
    option:

        python setup.py build_ext --pg-config /path/to/pg_config build ...

    or with the pg_config option in 'setup.cfg'.


bon ben pg_config en effet l'est pas là
find / -name pg_config
(creme_2_0) root@bacasable:~/creme_crm-2.0/creme#

ok je vais donc laisser tomber postgresql pour  mysql pour ne pas rester bloqué...
j'installe par apg-get tout mariadb et sa clique
je décommente mysql dans requirements.txt

patatra3  pip install -r requirements.txt

 /bin/sh: 1: mysql_config: not found
euh oui en effet la chose n'existe pas


A ce stade je sens comme un coup de mou Sick
J'accepte volontiers une assistance
  Répondre
#17
Bonjour,

pour mysql_config il faut utiliser la commande suivante :

- sudo apt-get install libmysqlclient-dev avec Mysql ( pas votre cas, mais je la donne toute de même au cas où )

- sudo apt-get install libmariadbclient-dev avec MariaDB.
  Répondre
#18
merci de cette proposition mais le paquet en question est déjà bien présent
root@bacasable:~# dpkg -l | grep libmariadbclient-dev
ii  libmariadbclient-dev:i386    1:10.3.17-0+deb10u1         i386         MariaDB database development files (transitional package)

trouvé en fouillant sur le net : il faut créer un lien mysql_config -> mariadb_config
ln -s /usr/bin/mariadb_config /usr/bin/mysql_config
à ajouter aussi au tuto
  Répondre
#19
et à corriger dans le tuto :
avant de lancer python manage.py build_secret_key
modifier dans le fichier local_settings.py la variable SECRET_KEY qui ne peut pas être une chaine vide => y mettre ce qu'on veut entre simple quote
  Répondre
#20
(18-09-2019, 18:31)tipot a écrit : et à  corriger dans le tuto :
avant de lancer     python manage.py build_secret_key
modifier dans le fichier local_settings.py  la variable SECRET_KEY qui ne peut pas être une chaine vide => y mettre ce qu'on veut entre simple quote

J'ai corrigé le tuto pour que dans le local_settings.py de base, SECRET_KEY ne soit pas vide.

(demain j'ajouterai vos remarques sur Debian 10, sortie après la rédaction du tuto)

Merci de vos retours !
  Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 2 visiteur(s)